## broccoli 1.97

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/broccoli.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/broccoli.h)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${PROJECT_SOURCE_DIR}/compat)

########################################################################
## libbroccoli target

if (BRO_PCAP_SUPPORT)
    set(PACKET_FILES bro_packet.c bro_packet.h)
endif ()

bison_target(Bro_Parser bro_parser.y ${CMAKE_CURRENT_BINARY_DIR}/bro_parser.c
             VERBOSE ${CMAKE_CURRENT_BINARY-DIR}/bro_parser.output
             COMPILE_FLAGS "-p bro")
flex_target(Bro_Lexer bro_lexer.l ${CMAKE_CURRENT_BINARY_DIR}/bro_lexer.c
             COMPILE_FLAGS "-Pbro")
add_flex_bison_dependency(Bro_Lexer Bro_Parser)

set(broccoli_SRCS
    ${PACKET_FILES}
    ${FLEX_Bro_Lexer_INPUT}
    ${BISON_Bro_Parser_INPUT}
    ${FLEX_Bro_Lexer_OUTPUTS}
    ${BISON_Bro_Parser_OUTPUTS}
    broccoli.h
    bro.c
    bro_attr.c
    bro_attr.h
    bro_attrs.c
    bro_attrs.h
    bro_buf.h
    bro_buf.c
    bro_config.h
    bro_config.c
    bro_debug.h
    bro_debug.c
    bro_event.h
    bro_event.c
    bro_event_reg.h
    bro_event_reg.c
    bro_hashtable.h
    bro_hashtable.c
    bro_id.h
    bro_id.c
    bro_io.h
    bro_io.c
    bro_list.h
    bro_list.c
    bro_location.h
    bro_location.c
    bro_object.h
    bro_object.c
    bro_openssl.h
    bro_openssl.c
    bro_record.h
    bro_record.c
    bro_sobject.h
    bro_sobject.c
    bro_table.h
    bro_table.c
    bro_type.h
    bro_type.c
    bro_type_decl.h
    bro_type_decl.c
    bro_types.h
    bro_util.h
    bro_util.c
    bro_val.h
    bro_val.c
    bro_vector.h
    bro_vector.c
)

if (ENABLE_SHARED)
    add_library(broccoli SHARED ${broccoli_SRCS})
    set_target_properties(broccoli PROPERTIES
                      VERSION ${SOVersion}.${SOVersionMinor}.${SOVersionRelease}
                      SOVERSION ${SOVersion})
    # When CMake 2.8.12+ is required, can stop setting INSTALL_NAME_DIR.
    # It's just there for older versions that don't know about
    # MACOSX_RPATH.
    set_target_properties(broccoli PROPERTIES INSTALL_NAME_DIR "@rpath")
    set_target_properties(broccoli PROPERTIES MACOSX_RPATH true)
    # BIND library is not necessary, but linked when a parent project
    # uses it (for consistency and also to avoid missing inet_* symbols
    # that can result from mismatching headers/libraries)
    target_link_libraries(broccoli ${OpenSSL_LIBRARIES} ${BIND_LIBRARY}
                          ${BRO_LIBADD})
    install(TARGETS broccoli DESTINATION ${INSTALL_LIB_DIR})
endif ()

if (ENABLE_STATIC)
    add_library(broccoliStatic STATIC ${broccoli_SRCS})
    if (UNIX)
        # the output name of the static library shouldn't conflict with the
        # shared library because they use different extensions (.a versus .so)
        set_target_properties(broccoliStatic PROPERTIES OUTPUT_NAME broccoli)
    endif ()
    # BIND library is not necessary, but linked when a parent project
    # uses it (for consistency and also to avoid missing inet_* symbols
    # that can result from mismatching headers/libraries)
    target_link_libraries(broccoliStatic ${OpenSSL_LIBRARIES} ${BIND_LIBRARY}
                          ${BRO_LIBADD})
    install(TARGETS broccoliStatic DESTINATION ${INSTALL_LIB_DIR})
endif ()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/broccoli.h DESTINATION include)

# Set as a convenience for projects that depend on broccoli, but want the
# option of building it from source
set(Broccoli_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}
    CACHE STRING "Broccoli header directory" FORCE)

if (ENABLE_SHARED)
    set(Broccoli_LIBRARY broccoli
        CACHE STRING "Broccoli library" FORCE)
elseif (ENABLE_STATIC)
    set(Broccoli_LIBRARY broccoliStatic
        CACHE STRING "Broccoli library" FORCE)
endif ()

=== test/CMakeLists.txt ===
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}/../src)

add_executable(broping broping.c)
target_link_libraries(broping ${Broccoli_LIBRARY})

add_executable(broconn broconn.c)
target_link_libraries(broconn ${Broccoli_LIBRARY})

add_executable(brohose brohose.c)
target_link_libraries(brohose ${Broccoli_LIBRARY})

add_executable(broconftest broconftest.c)
target_link_libraries(broconftest ${Broccoli_LIBRARY})

add_executable(broenum broenum.c)
target_link_libraries(broenum ${Broccoli_LIBRARY})

if (BRO_PCAP_SUPPORT)
    add_executable(brosendpackets brosendpackets.c)
    target_link_libraries(brosendpackets ${Broccoli_LIBRARY} ${PCAP_LIBRARY})
endif()

add_executable(brotable brotable.c)
target_link_libraries(brotable ${Broccoli_LIBRARY})

add_executable(broccoli-v6addrs broccoli-v6addrs.c)
target_link_libraries(broccoli-v6addrs ${Broccoli_LIBRARY})

add_executable(broccoli-vectors broccoli-vectors.c)
target_link_libraries(broccoli-vectors ${Broccoli_LIBRARY})

=== debian/changelog ===
broccoli (1.97-3) unstable; urgency=medium

  * Fix FTBFS with OpenSSL built without SSLv3 support (Closes: #804104)

 -- Hilko Bengen <bengen@debian.org>  Thu, 05 Nov 2015 18:29:11 +0100

broccoli (1.97-2) unstable; urgency=medium

  * Add missing dependencies to -dev package

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 17:22:37 +0100

broccoli (1.97-1) unstable; urgency=low

  * Initial release (Closes: #803570)

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 17:01:44 +0100

=== debian/control ===
Source: broccoli
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 flex,
 bison,
 libssl-dev,
 libpcap-dev,
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli.git;a=summary

Package: libbroccoli-dev
Section: libdevel
Architecture: any
Depends: libbroccoli5 (= ${binary:Version}), ${misc:Depends},
 libssl-dev, libpcap-dev,
Description: Bro client communications library -- headers and static libraries
 This package contains the development environment for the "Broccoli" library.

Package: libbroccoli5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bro client communications library
 Broccoli is the "Bro client communications library". It allows you to
 create client sensors for the Bro intrusion detection system.
 Broccoli can speak a good subset of the Bro communication protocol,
 in particular, it can receive Bro IDs, send and receive Bro events,
 and send and receive event requests to/from peering Bros. You can
 currently create and receive values of pure types like integers,
 counters, timestamps, IP addresses, port numbers, booleans, and
 strings.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --buildsystem=cmake --builddir=build --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBRO_ETC_INSTALL_DIR=/etc/bro \
	-DINSTALL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DBINARY_PACKAGING_MODE=true \

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/release/broccoli-(\d.*)-minimal\.tar\.gz

## broccoli 1.99

=== CMakeLists.txt ===
project(Broccoli C)
cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" VERSION LIMIT_COUNT 1)

set(SOVersion 5) # this must be incremented when broccoli interface changes
set(SOVersionMinor 1)
set(SOVersionRelease 0)

set(BRO_SYSCONF_DIR ${BRO_ETC_INSTALL_DIR})

if (NOT BRO_SYSCONF_FILE)
    # BRO_SYSCONF_FILE not already defined from the --with-configfile option
    set(BRO_SYSCONF_FILE ${BRO_SYSCONF_DIR}/broccoli.conf)
endif ()

site_name(hostname)
if (UNIX)
    execute_process(COMMAND date OUTPUT_VARIABLE builddate
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
else ()
    set(builddate "build date not available")
endif ()
set(BUILDINFO "${hostname}, ${builddate}, Debugging support: ${ENABLE_DEBUG}")

# if no static/shared library preference is given, default to building both
if (NOT DEFINED ENABLE_SHARED)
    set(ENABLE_SHARED true)
endif ()

if (NOT DEFINED ENABLE_STATIC)
    set(ENABLE_STATIC true)
endif ()

# Offer the user the choice of overriding the installation directories
set(INSTALL_LIB_DIR lib CACHE PATH "Installation directory for libraries")

if (NOT IS_ABSOLUTE "${INSTALL_LIB_DIR}")
    set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/${INSTALL_LIB_DIR}")
endif()

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(OpenSSL)
FindRequiredPackage(FLEX)
FindRequiredPackage(BISON)
find_package(PCAP)

set(BRO_PCAP_SUPPORT true)
if (NOT PCAP_INCLUDE_DIR)
    set(BRO_PCAP_SUPPORT false)
endif ()

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

########################################################################
## System Introspection

if (${CMAKE_SYSTEM_NAME} MATCHES "BSD")
    set(BSD_HOST true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(LINUX_HOST true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Solaris")
    set(BRO_LIBADD socket nsl)
elseif (MINGW)
    set(BRO_LIBADD wsock32)
endif ()

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

include(CheckFunctionExists)
check_function_exists(geteuid HAVE_GETEUID)
check_function_exists(getpwuid HAVE_GETPWUID)

include(CheckTypeSize)

set(CMAKE_EXTRA_INCLUDE_FILES sys/types.h)
check_type_size(uint UINT)
if (NOT UINT)
    set (TYPEDEF_UINT "typedef unsigned int uint")
endif ()
set(CMAKE_EXTRA_INCLUDE_FILES)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-file.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config-file.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/broccoli-config.in
               ${CMAKE_CURRENT_BINARY_DIR}/broccoli-config
               @ONLY)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DHAVE_CONFIG_H)

########################################################################
## Install Files

include(InstallPackageConfigFile)

InstallPackageConfigFile(
    ${CMAKE_CURRENT_SOURCE_DIR}/broccoli.conf
    ${BRO_SYSCONF_DIR}
    broccoli.conf)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/broccoli-config DESTINATION bin)

########################################################################
## Recurse on sub-directories

add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(doc)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/bindings/broccoli-python/CMakeLists.txt
    AND NOT DISABLE_PYTHON_BINDINGS)
    add_subdirectory(bindings/broccoli-python)
else ()
    message(STATUS "Not building broccoli-python bindings")
endif ()

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/bindings/broccoli-ruby/CMakeLists.txt
    AND NOT DISABLE_RUBY_BINDINGS)
    add_subdirectory(bindings/broccoli-ruby)
else ()
    message(STATUS "Not building broccoli-ruby bindings")
endif ()

########################################################################
## Packaging Setup

# If this CMake project is a sub-project of another, we will not
# configure the generic packaging because CPack will fail in the case
# that the parent project has already configured packaging
if ("${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    include(ConfigurePackaging)
    ConfigurePackaging(${VERSION})
endif ()

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n=================|  Broccoli Build Summary  |==================="
    "\n"
    "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
    "\nLibrary prefix:    ${INSTALL_LIB_DIR}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\nShared libs:       ${ENABLE_SHARED}"
    "\nStatic libs:       ${ENABLE_STATIC}"
    "\n"
    "\nConfig file:       ${BRO_SYSCONF_FILE}"
    "\nPacket support:    ${BRO_PCAP_SUPPORT}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_C_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== debian/changelog ===
broccoli (1.99-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Drop patches that have been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:30:12 +0100

broccoli (1.97-4) unstable; urgency=medium

  * Added patch by Chris Lamb to make the build reproducible
    (Closes: #835495)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Aug 2016 13:01:33 +0200

## broccoli 1.100

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=`basename \`git config --get remote.origin.url | sed 's/^[^:]*://g'\``
VERSION_FULL=$(REPO)-`cat VERSION`
VERSION_MIN=$(REPO)-`cat VERSION`-minimal
HAVE_MODULES=git submodule | grep -v cmake >/dev/null

all: configured
	$(MAKE) -C $(BUILD) $@

doc: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured docclean
	$(MAKE) -C $(BUILD) $@

docclean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@rm -rf $(VERSION_FULL) $(VERSION_FULL).tgz
	@rm -rf $(VERSION_MIN) $(VERSION_MIN).tgz
	@git clone --recursive . $(VERSION_FULL) >/dev/null 2>&1
	@find $(VERSION_FULL) -name .git\* | xargs rm -rf
	@tar -czf $(VERSION_FULL).tgz $(VERSION_FULL) && echo Package: $(VERSION_FULL).tgz && rm -rf $(VERSION_FULL)
	@$(HAVE_MODULES) && git clone . $(VERSION_MIN) >/dev/null 2>&1 || exit 0
	@$(HAVE_MODULES) && (cd $(VERSION_MIN) && git submodule update --init cmake >/dev/null 2>&1) || exit 0
	@$(HAVE_MODULES) && find $(VERSION_MIN) -name .git\* | xargs rm -rf || exit 0
	@$(HAVE_MODULES) && tar -czf $(VERSION_MIN).tgz $(VERSION_MIN) && echo Package: $(VERSION_MIN).tgz && rm -rf $(VERSION_MIN) || exit 0

distclean:
	rm -rf $(BUILD)

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== doc/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
               ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
               @ONLY)

add_custom_target(broccolidoc
                  COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
                  COMMENT "[Doxygen] Generating HTML Broccoli API docs")

add_custom_target(broccolidocclean
                  COMMAND rm -rf ${CMAKE_CURRENT_BINARY_DIR}/html)

if (NOT TARGET doc)
    add_custom_target(doc)
endif ()
add_dependencies(doc broccolidoc)

if (NOT TARGET docclean)
    add_custom_target(docclean)
endif ()
add_dependencies(docclean broccolidocclean)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
     # BIND library is not necessary, but linked when a parent project
     # uses it (for consistency and also to avoid missing inet_* symbols
     # that can result from mismatching headers/libraries)
-    target_link_libraries(broccoli ${OpenSSL_LIBRARIES} ${BIND_LIBRARY}
+    target_link_libraries(broccoli ${OPENSSL_LIBRARIES} ${BIND_LIBRARY}
                           ${BRO_LIBADD})
     install(TARGETS broccoli DESTINATION ${INSTALL_LIB_DIR})
 endif ()
@@ -103,7 +103,7 @@
     # BIND library is not necessary, but linked when a parent project
     # uses it (for consistency and also to avoid missing inet_* symbols
     # that can result from mismatching headers/libraries)
-    target_link_libraries(broccoliStatic ${OpenSSL_LIBRARIES} ${BIND_LIBRARY}
+    target_link_libraries(broccoliStatic ${OPENSSL_LIBRARIES} ${BIND_LIBRARY}
                           ${BRO_LIBADD})
     install(TARGETS broccoliStatic DESTINATION ${INSTALL_LIB_DIR})
 endif ()

=== debian/changelog ===
broccoli (1.100-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:43 +0000

broccoli (1.100-1) unstable; urgency=medium

  * New upstream version 1.100

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:32:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: broccoli
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9),
  cmake,
  flex,
  bison,
  libssl-dev,
  libpcap-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/broccoli-(\d.*)-minimal\.tar\.gz
